import { html as a } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var u = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (n, t, o, s) => {
  for (var e = s > 1 ? void 0 : s ? m(t, o) : t, p = n.length - 1, i; p >= 0; p--)
    (i = n[p]) && (e = (s ? i(t, o, e) : i(e)) || e);
  return s && e && u(t, o, e), e;
};
let r = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--pause", this.class = "c-pieIcon c-pieIcon--pause", this.name = "IconPause";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--pause"><path d="M6.326 4H5v8h1.326z"></path><path d="M11 4H9.674v8H11z"></path></svg>`;
  }
};
c([
  l({ type: String, reflect: !0 })
], r.prototype, "size", 2);
c([
  l({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = c([
  f("icon-pause")
], r);
export {
  r as IconPause
};
